Subject: Re: [PATCH 0/7] MPC5200 and Lite5200b low power modes

From: Domen Puncer <[email-masked]>
Date: Mon, 5 Mar 2007 21:21:36 +0100

On 05/03/07 11:58 +0100, Sylvain Munaut wrote:
> Domen Puncer wrote:
> >   
> >>     
> >>>  - And if it is, won't a memcpy_io of the whole zone do the trick ?
> >>>       
> >> Oh, nice. I wasn't aware of _memcpy_{to,from}io. I'll try it.
> >>     
> >
> > OK, one can't copy the whole zone :-(
> > Ie. reading from MBAR+0x3B00 seems to freeze Linux.
> >
> > Currently I'm having something like (obsoletes PIC and SDMA patches):
> >   
> And does that work ?

Yes, it does.

> 
> I was also wondering if some registers don't need to be restored last.
> For example,
> the task status in sdma would be restored to 0 then just at the end set
> to their "real value".

I was wondering about that, but it seems to work as-is.
Any real test cases for which it would matter?

> 
> Saving / Restoring all theses system zones makes more sense to me than
> to just save / restore the pic & sdma and hoping than mpc52xx_setup_cpu
> will make the rest ...
> 
> But saving/restoring all the mbar isn't good either because peripheral
> drivers should handle their own setup restore. The suspend / resume
> method of the peripheral should differentiate how deep their suspending
> / resuming and do what's necessary accordingly.

I was aiming for that.

	Domen